<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| User galleries
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."user_gallery/infusion_db.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."user_gallery/locale/".$settings['locale'].".php")) {
    include INFUSIONS."user_gallery/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."user_gallery/locale/English.php";
}

$ug_settings = array();
$sql = dbquery("SELECT * FROM `".GALLERIES_SETTINGS."`");
while($data = dbarray($sql)) {
    $ug_settings[$data['settings_name']] = $data['settings_value'];
}

function getExtension($filename) {
    $table = explode(".", $filename);
    $count = count($table);
    $extension = $table[$count-1];
    return $extension;
}

function getFilename($filename) {
    $table = explode(".", $filename);
    $count = count($table);
    $number = 0;
    $we = "";
    while($count > 1) {
        if($count == 2) {
            $we .= $table[$number];
        }
        else {
            $we .= $table[$number].".";
        }
        $count--;
        $number++;
    }
    return $we;
}

function scaleImage($location, $maxw=NULL, $maxh=NULL){
    $img = @getimagesize($location);
    if($img){
        $w = $img[0];
        $h = $img[1];
        $dim = array('w','h');
        foreach($dim AS $val){
            $max = "max{$val}";
            if(${$val} > ${$max} && ${$max}){
                $alt = ($val == 'w') ? 'h' : 'w';
                $ratio = ${$alt} / ${$val};
                ${$val} = ${$max};
                ${$alt} = ${$val} * $ratio;
            }
        }
        return("<img src='{$location}' alt='image' width='{$w}' height='{$h}' class='image' />");
    }
}

function ciach($string, $lenght) {
    if(strlen($string) > $lenght) {
        $string = substr($string, 0, $lenght);
        $string .= "...";
        return $string;
    }
    else {
        return $string;
    }
}

echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-1.4.2.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-ui-1.8.4.custom.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/main.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery.colorbox-min.js"></script>';

echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/styles.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/colorbox.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/jquery-ui-1.8.4.custom.css" type="text/css" media="all" />';
?>

<script type="text/javascript">
$(function() {
    $("a.edit").each(function() {
        $("a.edit").button({
            icons: {
                primary: 'ui-icon-pencil'
            },
            text: false
        });
    });
    $("a.delete").each(function() {
        $("a.delete").button({
            icons: {
                primary: 'ui-icon-trash'
            },
            text: false
        });
    });
    $("a.add_image").button({
        icons: {
            primary: 'ui-icon-image'
        }
    });
    $("a.add_album").button({
        icons: {
            primary: 'ui-icon-folder-open'
        }
    });
    $("a[rel='mini-gallery']").colorbox({
        transition: "fade",
        close: "<?php echo $locale['UG_015']; ?>",
        next: "<?php echo $locale['UG_016']; ?>",
        previous: "<?php echo $locale['UG_017']; ?>",
        current: "",
        scalePhotos: true,
        maxWidth: "800px",
        maxHeight: "600px"
    });
});
</script>

<?php

if((isSet($_POST['edit_photo'])) && (iMEMBER)) {
    $title = mysql_escape_string(stripinput($_POST['photo_title']));
    $gallery_id = mysql_escape_string($_POST['photo_album']);
    $desc = mysql_escape_string(stripinput(strip_bbcodes($_POST['photo_desc'])));
    if(!$title) {
        $information = $locale['UG_018'];
    }
    else {
        $sql = dbquery("UPDATE `".USER_PHOTOS."` SET `title` = '".$title."', `album_id` = '".$gallery_id."', `description` = '".$desc."', `date` = '".time()."' WHERE `id` = '".$_POST['photo_id']."'");
        if($sql) {
            $information = $locale['UG_019'];
        }
        else {
            $information = $locale['UG_020'];
        }
    }
}

if((isSet($_POST['save_photo'])) && (iMEMBER)) {
    $title = mysql_escape_string(stripinput($_POST['photo_title']));
    $gallery_id = mysql_escape_string($_POST['photo_album']);
    $desc = mysql_escape_string(stripinput(strip_bbcodes($_POST['photo_desc'])));
    $filename = mysql_escape_string(stripinput($_FILES['photo']['name']));
    $filename_tmp = mysql_escape_string(stripinput($_FILES['photo']['tmp_name']));
    $filesize = $_FILES['photo']['size'] / 1024;
    $ext = getExtension($filename);
    if($filesize > $ug_settings['max_weight_photo']) {
        $information = $locale['UG_021']."<Br />";
        $information .= $locale['UG_022'].": ".$ug_settings['max_weight_photo']."KB";
    }
    elseif(!$title) {
        $information = $locale['UG_018'];
    }
    elseif(($ext != "jpg") && ($ext != "JPG") && ($ext != "jpeg") && ($ext != "JPEG") && ($ext != "gif") && ($ext != "GIF") && ($ext != "png") && ($ext != "PNG")) {
        $information = $locale['UG_093'];
    }
    else {
        $bad_chars = array('ą', 'ż', 'ś', 'ź', 'ę', 'ć', 'ń', 'ó', 'ł', 'α', 'ζ', 'ς', 'σ', 'χ', 'ε', 'δ', 'ψ', 'ρ', 'φ', 'ω', 'τ', 'γ', 'β', 'υ', 'η', 'ν', 'θ', 'ξ', 'μ', 'ι', 'κ', 'ο', 'λ', 'π', 'Α', 'Ζ', 'Σ', 'Χ', 'Ε', 'Δ', 'Ψ', 'Ρ', 'Φ', 'Ω', 'Τ', 'Γ', 'Β', 'Υ', 'Η', 'Ν', 'Θ', 'Ξ', 'Μ', 'Ι', 'Κ', 'Ο', 'Λ', 'Π');
        $good_chars = array('a', 'z', 's', 'z', 'e', 'c', 'n', 'o', 'l', 'a', 'z', 'w', 's', 'x', 'e', 'd', 'c', 'r', 'f', 'v', 't', 'g', 'b', 'y', 'u', 'n', 'u', 'j', 'm', 'i', 'k', 'o', 'l', 'p', 'A', 'Z', 'S', 'X', 'E', 'D', 'C', 'P', 'F', 'O', 'T', 'G', 'B', 'Y', 'H', 'N', 'U', 'J', 'M', 'I', 'K', 'O', 'L', 'P');
        $filename = str_replace($bad_chars, $good_chars, $filename);
        $extension = getExtension($filename);
        $filename_we = getFilename($filename);
        if(file_exists(PHOTOS_DIR.$filename)) {
            while(file_exists(PHOTOS_DIR.$filename_we.".".$extension)) {
                $filename_we .= rand(10, 99);
            }
        }
        $filename = $filename_we.".".$extension;
        $dir = PHOTOS_DIR.$filename;
        if(move_uploaded_file($_FILES['photo']['tmp_name'], $dir)) {
            $sql = dbquery("INSERT INTO `".USER_PHOTOS."` VALUES (NULL, '".$userdata['user_id']."', '".$gallery_id."', '".$title."', '".$desc."', '".$filename."', '".time()."')");
            if($sql) {
                $information = $locale['UG_023'];
            }
            else {
                $information = $locale['UG_024']."<br />";
            }
        }
        else {
            $information = $locale['UG_024']."<br />";
        }
    }
}

if((isSet($_POST['save_album'])) && (iMEMBER)) {
    $title = mysql_escape_string(stripinput($_POST['album_title']));
    $filename = mysql_escape_string(stripinput($_FILES['album_thumb']['name']));
    $filename_tmp = mysql_escape_string(stripinput($_FILES['album_thumb']['tmp_name']));
    $filesize = $_FILES['album_thumb']['size'] / 1024;
    $ext = getExtension($filename);
    if($filesize > $ug_settings['max_weight_album']) {
        $information = $locale['UG_021']."<br />";
        $information .= $locale['UG_022'].": ".$ug_settings['max_weight_album']."KB";
    }
    elseif(!$title) {
        $information = $locale['UG_025'];
    }
    elseif(($ext != "jpg") && ($ext != "JPG") && ($ext != "jpeg") && ($ext != "JPEG") && ($ext != "gif") && ($ext != "GIF") && ($ext != "png") && ($ext != "PNG")) {
        $information = $locale['UG_093'];
    }
    else {
        $bad_chars = array('ą', 'ż', 'ś', 'ź', 'ę', 'ć', 'ń', 'ó', 'ł', 'α', 'ζ', 'ς', 'σ', 'χ', 'ε', 'δ', 'ψ', 'ρ', 'φ', 'ω', 'τ', 'γ', 'β', 'υ', 'η', 'ν', 'θ', 'ξ', 'μ', 'ι', 'κ', 'ο', 'λ', 'π', 'Α', 'Ζ', 'Σ', 'Χ', 'Ε', 'Δ', 'Ψ', 'Ρ', 'Φ', 'Ω', 'Τ', 'Γ', 'Β', 'Υ', 'Η', 'Ν', 'Θ', 'Ξ', 'Μ', 'Ι', 'Κ', 'Ο', 'Λ', 'Π');
        $good_chars = array('a', 'z', 's', 'z', 'e', 'c', 'n', 'o', 'l', 'a', 'z', 'w', 's', 'x', 'e', 'd', 'c', 'r', 'f', 'v', 't', 'g', 'b', 'y', 'u', 'n', 'u', 'j', 'm', 'i', 'k', 'o', 'l', 'p', 'A', 'Z', 'S', 'X', 'E', 'D', 'C', 'P', 'F', 'O', 'T', 'G', 'B', 'Y', 'H', 'N', 'U', 'J', 'M', 'I', 'K', 'O', 'L', 'P');
        $filename = str_replace($bad_chars, $good_chars, $filename);
        $extension = getExtension($filename);
        $filename_we = getFilename($filename);
        if(file_exists(PHOTOS_DIR.$filename)) {
            while(file_exists(PHOTOS_DIR.$filename_we.".".$extension)) {
                $filename_we .= rand(10, 99);
            }
        }
        $filename = $filename_we.".".$extension;
        $dir = PHOTOS_DIR.$filename;
        if(move_uploaded_file($_FILES['album_thumb']['tmp_name'], $dir)) {
            $sql = dbquery("INSERT INTO `".USER_ALBUMS."` VALUES (NULL, '".$userdata['user_id']."', '".$title."', '".$filename."', '".time()."')");
            if($sql) {
                $information = $locale['UG_026'];
            }
            else {
                $information = $locale['UG_027']."<br />";
            }
        }
        else {
            $information = $locale['UG_027']."<br />";
        }
    }
}

if((isSet($_POST['edit_album'])) && (iMEMBER)) {
    $title = mysql_escape_string(stripinput($_POST['album_title']));
    if($_POST['thumb_ex'] == 0) {
        $filename = mysql_escape_string(stripinput($_FILES['album_thumb']['name']));
        $filename_tmp = mysql_escape_string(stripinput($_FILES['album_thumb']['tmp_name']));
        $filesize = $_FILES['album_thumb']['size'] / 1024;
        $ext = getExtension($filename);
        if($filesize > $ug_settings['max_weight_album']) {
            $information = $locale['UG_021']."<br />";
            $information .= $locale['UG_022'].": ".$ug_settings['max_weight_album']."KB";
        }
        elseif(!$title) {
            $information = $locale['UG_025'];
        }
        elseif(($ext != "jpg") && ($ext != "JPG") && ($ext != "jpeg") && ($ext != "JPEG") && ($ext != "gif") && ($ext != "GIF") && ($ext != "png") && ($ext != "PNG")) {
            $information = $locale['UG_093'];
        }
        else {
            $bad_chars = array('ą', 'ż', 'ś', 'ź', 'ę', 'ć', 'ń', 'ó', 'ł', 'α', 'ζ', 'ς', 'σ', 'χ', 'ε', 'δ', 'ψ', 'ρ', 'φ', 'ω', 'τ', 'γ', 'β', 'υ', 'η', 'ν', 'θ', 'ξ', 'μ', 'ι', 'κ', 'ο', 'λ', 'π', 'Α', 'Ζ', 'Σ', 'Χ', 'Ε', 'Δ', 'Ψ', 'Ρ', 'Φ', 'Ω', 'Τ', 'Γ', 'Β', 'Υ', 'Η', 'Ν', 'Θ', 'Ξ', 'Μ', 'Ι', 'Κ', 'Ο', 'Λ', 'Π');
            $good_chars = array('a', 'z', 's', 'z', 'e', 'c', 'n', 'o', 'l', 'a', 'z', 'w', 's', 'x', 'e', 'd', 'c', 'r', 'f', 'v', 't', 'g', 'b', 'y', 'u', 'n', 'u', 'j', 'm', 'i', 'k', 'o', 'l', 'p', 'A', 'Z', 'S', 'X', 'E', 'D', 'C', 'P', 'F', 'O', 'T', 'G', 'B', 'Y', 'H', 'N', 'U', 'J', 'M', 'I', 'K', 'O', 'L', 'P');
            $filename = str_replace($bad_chars, $good_chars, $filename);
            $extension = getExtension($filename);
            $filename_we = getFilename($filename);
            if(file_exists(PHOTOS_DIR.$filename)) {
                while(file_exists(PHOTOS_DIR.$filename_we.".".$extension)) {
                    $filename_we .= rand(10, 99);
                }
            }
            $filename = $filename_we.".".$extension;
            $dir = PHOTOS_DIR.$filename;
            if(move_uploaded_file($_FILES['album_thumb']['tmp_name'], $dir)) {
                $sql = dbquery("UPDATE `".USER_ALBUMS."` SET `title` = '".$title."', `thumb` = '".$filename."', `date` = '".time()."' WHERE `id` = '".$_POST['album_id']."'");
                if($sql) {
                    $information = $locale['UG_028'];
                }
                else {
                    $information = $locale['UG_029']."<br />";
                }
            }
            else {
                $information = $locale['UG_029']."<br />";
            }
        }
    }
    else {
        $sql = dbquery("UPDATE `".USER_ALBUMS."` SET `title` = '".$title."', `date` = '".time()."' WHERE `id` = '".$_POST['album_id']."'");
        if($sql) {
            $information = $locale['UG_028'];
        }
        else {
            $information = $locale['UG_029']."<br />";
        }
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "photodelete") && (isSet($_GET['id'])) && (isSet($_GET['delete'])) && (iMEMBER)) {
    $count = dbcount("(id)", USER_PHOTOS, "id='".$_GET['id']."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
        $photo = dbarray($sql);
        if(file_exists(PHOTOS_DIR.$photo['photo'])) {
            $delete = unlink(PHOTOS_DIR.$photo['photo']);
            if($delete) {
                $sql = dbquery("DELETE FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
                if($sql) {
                    $information = $locale['UG_030'];
                }
                else {
                    $information = $locale['UG_031'];
                }
            }
            else {
                $information = $locale['UG_031'];
            }
        }
        else {
            $information = $locale['UG_032'];
        }
    }
    else {
        $information = $locale['UG_032'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "album") && (isSet($_GET['id'])) && (isSet($_GET['delete'])) && (iMEMBER)) {
    $count = dbcount("(id)", USER_ALBUMS, "id='".$_GET['id']."'");
    if($count > 0) {
        $count2 = dbcount("(id)", USER_PHOTOS, "album_id='".$_GET['id']."'");
        if($count2 < 1) {
            $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['id']."'");
            $album = dbarray($sql);
            if(file_exists(PHOTOS_DIR.$album['thumb'])) {
                $delete = unlink(PHOTOS_DIR.$album['thumb']);
                if($delete) {
                    $sql = dbquery("DELETE FROM `".USER_ALBUMS."` WHERE `id` = '".$album['id']."'");
                    if($sql) {
                        $information = $locale['UG_033'];
                    }
                    else {
                        $information = $locale['UG_034'];
                    }
                }
                else {
                    $information = $locale['UG_035']."<br />";
                    $information .= $locale['UG_036'];
                }
            }
            else {
                $information = $locale['UG_037']."<br />";
                $information .= $locale['UG_036'];
            }
        }
        else {
            $information = $locale['UG_038']."<br />";
            $information .= $locale['UG_039'];
        }
    }
    else {
        $information = $locale['UG_040'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "album") && (isSet($_GET['id'])) && (isSet($_GET['thumb'])) && (iMEMBER)) {
    if(file_exists(PHOTOS_DIR.$_GET['thumb'])) {
        $delete = unlink(PHOTOS_DIR.$_GET['thumb']);
        if($delete) {
            $sql = dbquery("UPDATE `".USER_ALBUMS."` SET `thumb` = '' WHERE `id` = '".$_GET['id']."'");
            if($sql) {
                $information = $locale['UG_041'];
            }
            else {
                $information = $locale['UG_042'];
            }
        }
        else {
            $information = $locale['UG_042'];
        }
    }
    else {
        $information = $locale['UG_043'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "photoedit") && (isSet($_GET['id'])) && (iMEMBER)) {
    $count = dbcount("(id)", USER_PHOTOS, "id='".$_GET['id']."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
        $photo = dbarray($sql);
        if($sql) {
            opentable($locale['UG_044']);
                echo "<form name='inputform' enctype='multipart/form-data' action='".FUSION_SELF."' method='POST'>\n";
                    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n";
                        echo "<tr><td class='tbl1'><h2>".$locale['UG_044']."</h2></td></tr>\n";
                        echo "<tr><td class='tbl2'>".$locale['UG_045']."</td>\n";
                        echo "<td class='tbl2'><input type='text' class='textbox' name='photo_title' value='".$photo['title']."' style='width:150px;' /></td></tr>\n";
                        echo "<tr><td class='tbl1'>".$locale['UG_046']."</td><td class='tbl1'>\n";
                        echo "<select name='photo_album' class='textbox' style='width:150px;'>\n";
                        $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `user_id` = '".$userdata['user_id']."'");
                        while ($album = dbarray($sql)) {
                            echo "<option value='".$album['id']."'"; if($photo['album_id'] == $album['id']) { echo "selected='selected' "; } echo ">".$album['title']."</option>\n";
                        }
                        echo "</select>\n</td></tr>\n";
                        echo "<tr><td class='tbl2'>".$locale['UG_047']."</td>\n";
                        echo "<td class='tbl2'><textarea class='textbox' style='width:150px;height:90px;' name='photo_desc'>".$photo['description']."</textarea></td></tr>\n";
                        echo "<tr><td class='tbl2'></td><td class='tbl2'>\n";
                        echo display_bbcodes("150px;", "photo_desc", "inputform", "smiley|b|u|url|color");
                        echo "</td></tr>\n";
                        echo "<tr><td class='tbl1'>".$locale['UG_048']."</td><td class='tbl1'>\n";
                        echo "<input type='hidden' name='photo_photo' value='0' />\n";
                        echo "<input type='hidden' name='photo_id' value='".$photo['id']."' />\n";
                        echo $photo['photo']."<br /></td></tr>\n";
                        echo "<tr><td colspan='2' class='tbl2' style='text-align:right'><input type='submit' class='button' name='edit_photo' value='".$locale['UG_049']."' /></td></tr>\n";
                    echo "</table>\n";
                echo "</form>\n";
            closetable();
        }
        else {
            $information = $locale['UG_050'];
        }
    }
    else {
        $information = $locale['UG_032'];
    }
}

if((isSet($_GET['album'])) && (iMEMBER)) {
    $count = dbcount("(id)", USER_ALBUMS, "id='".$_GET['album']."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['album']."'");
        $album = dbarray($sql);
        opentable($locale['UG_051'].": ".$album['title']);
            $count = dbcount("(id)", USER_PHOTOS, "album_id='".$album['id']."'");
            if($count > 0) {
                $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `album_id` = '".$album['id']."'");
                while($photo = dbarray($sql)) {
                    $image = $photo['photo'];
                    $img = scaleImage(PHOTOS_DIR.$image, 98, 98);
                    if($image == "") {
                        $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_003'].'</span>';
                    }
                    echo '<div style="float: left;width: 100px; margin-right: 5px; margin-bottom: 40px;">';
                    echo '<div style="float: left;width: 100px;text-align:center;">';
                    echo ciach($photo['title'], 12);
                    echo '</div>';
                    echo '<div style="width:100px;text-align:center;">';
                    echo '<input type="hidden" id="photo_colorbox" value="'.$photo['id'].'" />';
                    echo '<div style="float: left;width: 100px; height: 100px;" class="tbl2"><center><a rel="mini-gallery" href="'.PHOTOS_DIR.$photo['photo'].'">'.$img.'</a></center></div>';
                    echo '<div style="float: left; width: 100px; height: 5px;">&nbsp</div>';
                    echo '<div style="float: left;width: 100px;text-align: center;"><center><a href="'.FUSION_SELF.'?album='.$photo['album_id'].'&action=photoedit&id='.$photo['id'].'" class="edit">'.$locale['UG_052'].'</a> <a onClick="return deletePhoto()" href="'.FUSION_SELF.'?action=photodelete&id='.$photo['id'].'&delete" class="delete">'.$locale['UG_053'].'</a></center></div>';
                    echo '</div>';
                    echo '</div>';
                }
            }
            else {
                echo '<div style="padding: 10px 10px 10px 10px;float: left;width: 100%;text-align: center;">'.$locale['UG_054'].'</div>';
            }
        closetable();
    }
    else {
        $information = $locale['UG_040'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "photo") && (iMEMBER)) {
    $count = dbcount("(id)", USER_PHOTOS, "user_id='".$userdata['user_id']."'");
    if($count >= $ug_settings['max_photos']) {
        $information = $locale['UG_055'];
    }
    else {
        $count = dbcount("(id)", USER_ALBUMS, "user_id='".$userdata['user_id']."'");
        if($count > 0) {
            opentable($locale['UG_056']);
                echo "<form name='inputform' enctype='multipart/form-data' action='".FUSION_SELF."' method='POST'>\n";
                    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n";
                        echo "<tr><td class='tbl1'><h2>".$locale['UG_056']."</h2></td></tr>\n";
                        echo "<tr><td class='tbl2'>".$locale['UG_045']."</td>\n";
                        echo "<td class='tbl2'><input type='text' class='textbox' name='photo_title' style='width:150px;' /></td></tr>\n";
                        echo "<tr><td class='tbl1'>".$locale['UG_046']."</td><td class='tbl1'>\n";
                        echo "<select name='photo_album' class='textbox' style='width:150px;'>\n";
                        $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `user_id` = '".$userdata['user_id']."'");
                        while ($album = dbarray($sql)) {
                            echo "<option value='".$album['id']."'>".$album['title']."</option>\n";
                        }
                        echo "</select>\n</td></tr>\n";
                        echo "<tr><td class='tbl2'>".$locale['UG_047']."</td>\n";
                        echo "<td class='tbl2'><textarea class='textbox' style='width:150px;height:90px;' name='photo_desc'></textarea></td></tr>\n";
                        echo "<tr><td class='tbl2'></td><td class='tbl2'>\n";
                        echo display_bbcodes("150px;", "photo_desc", "inputform", "smiley|b|u|url|color");
                        echo "</td></tr>\n";
                        echo "<tr><td class='tbl1'>".$locale['UG_048']."</td><td class='tbl1'>\n";
                        echo "<input type='hidden' name='photo_photo' value='0' />\n";
                        echo "<input name='photo' type='file' /></td></tr>\n";
                        echo "<tr><td colspan='2' class='tbl2' style='text-align:right'><input type='submit' class='button' name='save_photo' value='".$locale['UG_057']."' /></td></tr>\n";
                    echo "</table>\n";
                echo "</form>\n";
            closetable();
        }
        else {
            $information = $locale['UG_058'];
        }
    }
}

if(isSet($information)) {
    opentable($locale['UG_006']);
        echo '<div style="padding: 10px 10px 10px 10px; width: 100%; float: left; text-align: center; font-weight: bold;">'.$information.'</div>';
    closetable();
}

if((isSet($_GET['action'])) && ($_GET['action'] == "album") && (iMEMBER)) {
    $count = dbcount("(id)", USER_ALBUMS, "user_id='".$userdata['user_id']."'");
    if($count >= $ug_settings['max_albums']) {
        $information = $locale['UG_059'];
    }
    if(isSet($_GET['id'])) {
        $count = dbcount("(id)", USER_ALBUMS, "id='".$_GET['id']."'");
        if($count > 0) {
            $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['id']."'");
            $album = dbarray($sql);
            opentable($locale['UG_060']);
                echo "<form enctype='multipart/form-data' action='".FUSION_SELF."' method='POST'>\n";
                    echo "<table cellspacing='0' cellpadding='0' class='tbl-border center'>\n";
                    echo "<tr><td class='tbl1'><h2>".$locale['UG_060']."</h2></td></tr>\n";
                    echo "<tr><td class='tbl2'>".$locale['UG_061']."</td><td class='tbl2'><input type='text' class='textbox' name='album_title' value='".$album['title']."' style='width:150px;' /></td></tr>\n";
                    echo "<tr><td class='tbl1'>".$locale['UG_062']."</td><td class='tbl1'>\n";
                    if(!$album['thumb']) {
                        echo "<input type='hidden' name='thumb_ex' value='0' />\n";
                        echo "<input type='hidden' name='album_id' value='".$album['id']."' />\n";
                        echo "<input id='album_thumb' name='album_thumb' type='file' />\n";
                    }
                    else {
                        echo "<input type='hidden' name='thumb_ex' value='1' />\n";
                        echo "<input type='hidden' name='album_id' value='".$album['id']."' />\n";
                        echo $album['thumb']." <span class='small'><a href='".FUSION_SELF."?action=album&id=".$album['id']."&thumb=".$album['thumb']."'>[".$locale['UG_053']."]</a></span>\n";
                    }
                    echo "</td></tr>\n";
                    echo "<tr><td colspan='2' class='tbl2' style='text-align:right'><input type='submit' class='button' name='edit_album' value='".$locale['UG_049']."' /></td></tr>\n";
                    echo "</table>\n";
                echo "</form>";
            closetable();
        }
        else {
            $information = $locale['UG_040'];
        }
    }
    else {
        opentable($locale['UG_063']);
            echo "<form enctype='multipart/form-data' action='".FUSION_SELF."' method='POST'>\n";
                echo "<table cellspacing='0' cellpadding='0' class='tbl-border center'>\n";
                echo "<tr><td class='tbl1'><h2>".$locale['UG_063']."</h2></td></tr>\n";
                echo "<tr><td class='tbl2'>".$locale['UG_061']."</td><td class='tbl2'><input type='text' class='textbox' name='album_title' style='width:150px;' /></td></tr>\n";
                echo "<tr><td class='tbl1'>".$locale['UG_062']."</td><td class='tbl1'><input id='album_thumb' name='album_thumb' type='file' /></td></tr>\n";
                echo "<tr><td colspan='2' class='tbl2' style='text-align:right'><input type='submit' class='button' name='save_album' value='".$locale['UG_057']."' /></td></tr>\n";
                echo "</table>\n";
            echo "</form>";
        closetable();
    }
}

if ((iMEMBER) || (iADMIN)) {
    opentable($locale['UG_064']);
        echo '<div style="float: left; width: 100%">';
            echo '<div class="tbl2" style="width: 25%; float: left;">';
                echo '<p><b><center>'.$locale['UG_065'].'</center></b></p>';
                echo '<p><a class="add_album" href="'.FUSION_SELF.'?action=album">'.$locale['UG_066'].'</a></p>';
                echo '<p><a class="add_image" href="'.FUSION_SELF.'?action=photo">'.$locale['UG_067'].'</a></p>';
            echo '</div>';
            echo '<div class="tbl1" style="width: 71%; float: left;">';
                $count = dbcount("(id)", USER_ALBUMS, "user_id='".$userdata['user_id']."'");
                if($count > 0) {
                    $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `user_id` = '".$userdata['user_id']."'");
                    while($album = dbarray($sql)) {
                        $thumb = $album['thumb'];
                        $img = scaleImage(PHOTOS_DIR.$thumb, 98, 98);
                        if($thumb == "") {
                            $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_003'].'</span>';
                        }
                        echo '<div style="float: left;width: 100px; margin-right: 5px; margin-bottom: 40px;">';
                        echo '<div style="float: left;width: 100px;text-align:center;">';
                        echo ciach($album['title'], 12);
                        echo '</div>';
                        echo '<div style="width:100px;text-align:center;">';
                        echo '<div style="float: left;width: 100px; height: 100px;" class="tbl2"><center><a href="'.FUSION_SELF.'?album='.$album['id'].'">'.$img.'</a></center></div>';
                        echo '<div style="float: left; width: 100px; height: 5px;">&nbsp</div>';
                        echo '<div style="float: left;width: 100px;text-align: center;"><center><a href="'.FUSION_SELF.'?action=album&id='.$album['id'].'" class="edit">'.$locale['UG_052'].'</a> <a onClick="return deleteAlbum()" href="'.FUSION_SELF.'?action=album&id='.$album['id'].'&delete" class="delete">'.$locale['UG_053'].'</a></center></div>';
                        echo '</div>';
                        echo '</div>';
                    }
                }
                else {
                    echo '<div style="padding: 10px 10px 10px 10px;float: left;width: 100%;text-align: center;">'.$locale['UG_068'].'</div>';
                }
            echo '</div>';
        echo '</div>';
    closetable();
} else {
    opentable($locale['UG_006']);
        echo $locale['UG_069'];
    closetable();
}

require_once THEMES."templates/footer.php";
?>